<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/page_bsg"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".reports.TesterReportActivity"
    tools:showIn="@layout/activity_tester_report">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rec_subaxe"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin1dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/margin1dp"
            android:layout_margin="@dimen/margin1dp"
            android:background="@color/gray" />

        <LinearLayout
            android:id="@+id/card_total_salestock"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin3dp"
                android:orientation="horizontal"
                android:weightSum="5">

                <TextView
                    android:id="@+id/total_sales_qty"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center|end"
                    android:layout_weight="2"
                    android:gravity="center|end"
                    android:padding="@dimen/custom_margin"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_10sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/sale_value_total"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center|end"
                    android:layout_weight="3"
                    android:gravity="center|end"
                    android:padding="@dimen/custom_margin"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_10sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/margin1dp"
                android:layout_margin="@dimen/margin1dp"
                android:background="@color/gray" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/custom_margin2dp"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/rlOthers"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone"
                android:weightSum="10">

                <TextView
                    android:id="@+id/brand_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="3"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/brand_name"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_10sp"
                    android:textStyle="bold" />


                <TextView
                    android:id="@+id/testername_txt"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="5"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/tester_name"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_10sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/unit_of_testertxt"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center|end"
                    android:layout_weight="2"
                    android:gravity="center|end"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/tester_availebility"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_10sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/rlTester"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:weightSum="10">

                <TextView
                    android:id="@+id/tvTesterName"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="6"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/brand_name"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_10sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tvUnit_of_tester"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center|end"
                    android:layout_weight="4"
                    android:gravity="center|end"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/tester_availebility"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_10sp"
                    android:textStyle="bold" />
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycle_reports"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin" />
</LinearLayout>
